<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Data_perkara_qrcode_m extends CI_Model{
	
	function dataPerkara($idperkara){
		try {
			if (preg_match('/^[0-9]*\/[Pdt\.P|Pdt\.G|Pdt\.GS|Pdt\.Plw|Pdt\.Bth|Jn\-Anak|JN\.Pra|JN]+\/[0-9]{4}+\/[A-Za-z.]*$/i', $idperkara)){
			if ($this->db->table_exists('perkaraqrcodeweb')){
			return $this->db->query("select a.noPerkara,a.jenisPerkara,b.nama klasifikasiPerkara,a.IDJenisPerkara,a.tglPendaftaran,a.tglPutusan,a.tglMinutasi,a.statusAkhir,a.tglBHT,
				c.tanggal tglPMH,d.tanggal tglPHS,e.tanggal tglSidangPertama,f.tanggal tglIkrarTalak,g.statusPutusan,h.noAC,h.tglAC,h.noseriAC,
				(case when a.IDJenisPerkara=346 or a.IDJenisPerkara=347 then h.pihakPertama else a.pihakPertama end) pihakPertama,
				(case when a.IDJenisPerkara=346 or a.IDJenisPerkara=347 then h.pihakKedua else a.pihakKedua end) pihakKedua
				from `dataumumweb` a
				left join `alurperkaraweb` b on a.klasifikasiPerkara=b.id
				left join `perkaraprosesweb` c on a.IDPerkara=c.IDPerkara and c.IDProses=20
				left join `perkaraprosesweb` d on a.IDPerkara=d.IDPerkara and d.IDProses=80
				left join `perkaraprosesweb` e on a.IDPerkara=e.IDPerkara and e.IDProses=81
				left join `perkaraprosesweb` f on a.IDPerkara=f.IDPerkara and f.IDProses=295
				left join `perkaraputusanweb` g on a.IDPerkara=g.IDPerkara
				left join `perkaraqrcodeweb` h on a.IDPerkara=h.IDPerkara
				where noPerkara='$idperkara';")->row();}
			else {
			return $this->db->query("select a.noPerkara,a.jenisPerkara,b.nama klasifikasiPerkara,a.IDJenisPerkara,a.tglPendaftaran,a.tglPutusan,a.tglMinutasi,a.statusAkhir,a.tglBHT,
				c.tanggal tglPMH,d.tanggal tglPHS,e.tanggal tglSidangPertama,f.tanggal tglIkrarTalak,g.statusPutusan,
				a.pihakPertama,a.pihakKedua
				from `dataumumweb` a
				left join `alurperkaraweb` b on a.klasifikasiPerkara=b.id
				left join `perkaraprosesweb` c on a.IDPerkara=c.IDPerkara and c.IDProses=20
				left join `perkaraprosesweb` d on a.IDPerkara=d.IDPerkara and d.IDProses=80
				left join `perkaraprosesweb` e on a.IDPerkara=e.IDPerkara and e.IDProses=81
				left join `perkaraprosesweb` f on a.IDPerkara=f.IDPerkara and f.IDProses=295
				left join `perkaraputusanweb` g on a.IDPerkara=g.IDPerkara
				where noPerkara='$idperkara';")->row();}}
			else{redirect('list_perkara');}
			} catch (Exception $e) {
			return '';
		}
	}
	
	
	function perkara_id_decrypt($string,$secret_key,$secret_iv){
		$secret_key 	= $this->encrypt->decode($secret_key);
		$secret_iv 		= $this->encrypt->decode($secret_iv);
		$encrypt_method = "AES-256-CTR";
		$key = hash( 'sha256', $secret_key );
		$iv  = substr( hash( 'sha256', $secret_iv ), 0, 16 );	 
		return openssl_decrypt( base64_decode( $string ), $encrypt_method, $key, 0, $iv );
	}

}